import { get } from '@/api/request';

const env = import.meta.env;
const PREFIX = env.VITE_API_PREFIX_SYSTEM;

// 查询流程模版
export const systemApproveQueryApproveFlowTempalteApi = (params: any) => {
  return get(`${PREFIX}systemApprove/queryApproveFlowTempalte`, params);
};

// 流程状态
export const systemQueryApproveFlowStatusApi = (params: any) => {
  return get(`${PREFIX}systemApprove/queryApproveFlowStatus`, params);
};

// 流程详情
export const systemQueryApproveInstanceApi = (params: any) => {
  return get(`${PREFIX}systemApprove/queryApproveInstance`, params);
};
